﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tektronix TPS 2000 ADJ RS-232 /9100+Opt250
DATE:                  2017-04-10 11:27:29
AUTHOR:                Fluke
REVISION:              $Revision: 19205 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       134
CONFIGURATION:         Datron 9100 (S2)
=============================================================================
#
#  Models covered:
#        TPS 2012, TPS 2014 and TPS 2024
#
#  Source(s):
#        TPS2000 Series Digital Storage Oscilloscopes
#        Service Manual, PN 071-1465-01
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Additional Equipment Required:
#        BNC T adapter (f-f-f), 1 set
#        BNC T adapter (f-m-f), 2 sets
#        50 Ohm BNC(m)-(m) cable, 10 inch long, 4 sets
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  9100         200MH                        1Vpp           LS SC S  L
  1.003  ENDIF

  1.004  ASK-                        P                                     V

  1.005  MATH         @ReqMetCalVersion = "7.20x"
  1.006  CALL         Sub MET/CAL Version Check

  1.007  IF           NOT(@MetCalVersionOK)
  1.008  DISP         This procedure requires MET/CAL 7.20 SP1 (7.20x)
  1.008  DISP         or later.
  1.009  END
  1.010  ENDIF

  1.011  CALL         Sub High Voltage Safety Warning

  1.012  HEAD         TEST CONDITIONS
  1.013  DISP         Ensure a minimum UUT warm-up time of at least
  1.013  DISP         10 minutes has been allowed to elapse, prior
  1.013  DISP         to beginning verification.

  1.014  HEAD         REMOTE SETUP
  1.015  TARGET
  1.016  CALL         Sub Tek TPS2000 Setup RS-232
  1.017  PORT         *RST

  1.018  HEAD         UUT IDENTIFICATION
  1.019  MATH         @UUT_Manufacturer = "TEKTRONIX"
  1.020  CALL         Sub IEEE-488.2 Identification Query RS-232 using OTERM
  1.021  CALL         Sub IEEE-488.2 Identification Query Check Response

  1.022  HEAD         EQUIPMENT REQUIREMENTS
  1.023  DISP         The following additional equipment and/or
  1.023  DISP         accessories are required:
  1.023  DISP
  1.023  DISP         - BNC T adapter (f-f-f), 1 set
  1.023  DISP         - BNC T adapter (f-m-f), 2 sets
  1.023  DISP         - 50 Ohm BNC(m)-(m) cable, 10 inch long, 4 sets

# Query self test result. if failed, abort the procedure
  1.024  PORT         DIA:RESU:FLA?[I$]

  1.025  IF           ZCMPI(MEM2, "FAIL")
  1.026  DISP         Self Test failed, procedure will be aborted.
  1.027  MATH         @Abort = 1
  1.028  ELSE
  1.029  MATH         @Abort = 0
  1.030  ENDIF

  1.031  JMPL         END                          @Abort

  1.032  HEAD         FACTORY CALIBRATION START
  1.033  TARGET
  1.034  MATH         @Abort = 0

  1.035  DO
  1.036  CALL         Sub Tek TPS2000 Cal Steps RS-232 /9100+Opt250

  1.037  IF           @Error
  1.038  OPBR         -z Failure occurred during the FACTORY CALIBRATION.
  1.038  OPBR
  1.038  OPBR         Do you wish to retry the calibration?
  1.039  MATH         @Abort = NOT(MEM1)

  1.040  ELSE

  1.041  IF           @NumChan == 2
  1.042  MATH         @SPCTime = 130
  1.043  ELSE
  1.044  MATH         @SPCTime = 210
  1.045  ENDIF

  1.046  CALL         Sub Tek TPS2000 Self Cal RS-232
  1.047  ENDIF

  1.048  UNTIL        NOT(@Error) || @Abort


  1.049  LABEL        END
  1.050  HEAD
  1.051  PORT         *RST

  1.052  IF           NOT(@Abort)
  1.053  DISP         C A L I B R A T I O N   C O M P L E T E
  1.054  ELSE
  1.055  DISP         C A L I B R A T I O N   A B O R T E D
  1.056  ENDIF

  1.057  END
